##
##  rsnapshot.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         rsnapshot
Summary:      Filesystem Snapshots with RSYNC
URL:          http://rsnapshot.org/
Vendor:       Nathan Rosenquist et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL
Version:      1.5.1
Release:      20250210

#   list of sources
Source0:      https://rsnapshot.org/downloads/rsnapshot-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  perl, rsync
PreReq:       perl, rsync

%description
    rsnapshot(1) is a filesystem snapshot utility based on rsync(1).
    rsnapshot(1) makes it easy to make periodic snapshots of local
    machines, and remote machines over ssh(1). The code makes extensive
    use of hard links whenever possible, to greatly reduce the disk
    space required.

%track
    prog rsnapshot = {
        version   = %{version}
        url       = https://rsnapshot.org/downloads/
        regex     = rsnapshot-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    ./configure \
        --prefix=%{l_prefix} \
        --sysconf=%{l_prefix}/etc/rsnapshot \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    mv  $RPM_BUILD_ROOT%{l_prefix}/etc/rsnapshot/rsnapshot.conf.default \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rsnapshot/rsnapshot.conf
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/rsnapshot/*'

%files -f files

%clean

